# mgd77path

Return paths to MGD77 cruises and directories

## Synopsis

gmt mgd77path GEODAS-ids [ -A[c] ] [ -D ] [ -I a|c|m|t ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

mgd77path returns the full pathname to one or more MGD77 files. The pathname returned for a given cruise may change with time due to reshuffling of disks/subdirectories.

## Required Arguments

NGDC-ids

  Can be one or more of five kinds of specifiers:

  1. 8-character GEODAS IDs, e.g., 01010083, JA010010etc., etc.

  2. 2-character agency codes which will return all cruises from each agency.

  3. 4-character <agency><vessel> codes, which will return all cruises from those vessels.

  4. =list, where list is a table with GEODAS IDs, one per line.

  5. If nothing is specified we return all cruises in the data base.

  (See mgd77info -L for agency and vessel codes). If no file extension is given then we search for files with one of the four known extensions. The search order (and the extensions) tried is MGD77+ (“.nc”), MGD77T (“.m77t”), MGD77 (“.mgd77” ) and plain text file (“.dat”). Use -I to ignore one or more of these file types). Cruise files will be looked for first in the current directory and second in all directories listed in $MGD77_HOME/mgd77_paths.txt [If $MGD77_HOME is not set it will default to $GMT_SHAREDIR/mgd77].

## Optional Arguments

-A[c]

  Display the full path to each cruise [Default]. Optionally, append c which will list just the cruise IDs instead.

-D

  Instead of cruise listings, just show the directory paths currently used in the search.

-I a|c|m|t

  Ignore certain data file formats from consideration. Append a|c|m|t to ignore MGD77 ASCII, MGD77+ netCDF, MGD77T ASCII, or plain tab-separated ASCII table files, respectively. The option may be repeated to ignore more than one format. [Default ignores none].

-V[level]

  Select verbosity level [w]. Reports the total number of cruises found. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To obtain pathnames for cruises 01010008 and 01010007, run

    gmt mgd77path 01010008 01010007

To obtain pathnames for cruises 01010008 and 01010007, but only if there are MGD77+ version in netCDF, run

    gmt mgd77path 01010008 01010007 -Ia -It

To see the list of active directories where MGD77 files might be stored, run

    gmt mgd77path -D

## See Also

gmt mgd77info mgd77list mgd77manage mgd77track

## References

The Marine Geophysical Data Exchange Format - MGD77, see http://www.ngdc.noaa.gov/mgg/dat/geodas/docs/mgd77.txt.

Wessel, P., and Chandler, M. T., 2007, The mgd77 supplement to the Generic Mapping Tools, Comp. Geosci., 33(1), 62-75, https://doi.org/10.1016/j.cageo.2006.05.006.